Skip to main content
GET
/
uptime
/
status-pages
/
{statusPageId}
/
current-status
Get a status page current status
curl --request GET \
  --url https://api.phare.io/uptime/status-pages/{statusPageId}/current-status \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.phare.io/uptime/status-pages/{statusPageId}/current-status"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.phare.io/uptime/status-pages/{statusPageId}/current-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "availability": 99.9999,
  "updated_at": "2023-11-07T05:31:56Z",
  "components": [
    {
      "type": "uptime/monitor",
      "name": "Website",
      "response_time": 123,
      "availability": 99.9999
    }
  ],
  "active_incidents": [
    {
      "id": 1,
      "title": "Service is not working as expected",
      "exclude_from_downtime": false,
      "incident_at": "2023-11-07T05:31:56Z",
      "recovery_at": "2023-11-07T05:31:56Z"
    }
  ]
}
{
"message": "Unauthorized"
}
{
"message": "The platform:write permission is required to perform this action."
}

Authorizations

Authorization
string
header
required

Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.

Headers

X-Phare-Project-Id
integer

A project header is required when using an organization-scoped API key.

Example:

1

X-Phare-Project-Slug
string

A project header is required when using an organization-scoped API key.

Example:

"luminous-guiding-tower"

Path Parameters

statusPageId
integer
required

ID of the status page to show the current status for

Query Parameters

page
integer
default:1

Page number to show

Example:

1

per_page
integer
default:20

Number of resources to return per page

Required range: 1 <= x <= 100
Example:

20

Response

Success, status page current status retrieved

current_incident_impact
enum<string>
Available options:
unknown,
operational,
degraded_performance,
partial_outage,
major_outage,
maintenance
availability
number<float>

Average availability of all associated monitors in the last 90 days, in percents

Example:

99.9999

updated_at
string<date-time>

Date of the data calculation

components
Monitor component · object[]

Components of the status page and their current status

active_incidents
Monitor component · object[]

Active incidents linked to the status page

Last modified on February 8, 2026